sasl_auxprop_request(10 July 2001)

NAME
sasl_auxprop_request - Request Auxiliary Properties from SASL

SYNOPSIS
#include <sasl/sasl.h>

int sasl_auxprop_request(sasl_conn_t *conn,
		              const char ** propnames)

DESCRIPTION
sasl_auxprop_request will request that the SASL library obtain properties from any auxiliary property plugins that might be installed (such as the user's home directory from an LDAP server for example). Such lookup occurs just after username canonicalization is complete. Therefore, the request should be made before the call to sasl_server_start(3), but after the call to sasl_server_new(3). conn the sasl_conn_t for which the request is being made. propnames a NULL-terminated array of property names to request. Note that this array must persist until a call to sasl_dispose on the sasl_conn_t.

RETURN VALUE
Returns SASL_OK on success. See sasl_errors(3) for meanings of other return codes.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_errors(3), sasl_auxprop(3), sasl_auxprop_getctx(3), sasl_server_new(3), sasl_server_start(3)